Uploaded image for project: 'Spark'
  1. Spark
  2. SPARK-29193

Update fabric8 version to 4.3 continue docker 4 desktop support

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Duplicate
    • Affects Version/s: 3.0.0
    • Fix Version/s: 3.0.0
    • Component/s: Kubernetes
    • Labels:
      None

      Description

      The current version of the kubernetes client we are using has some issues with not setting origin ( https://github.com/fabric8io/kubernetes-client/issues/1667 ) which cause failures on new versions of Docker 4 Desktop Kubernetes.

       

      This is fixed in 4.3-snapshot, so we will need to wait for the 4.3 release or backport this.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                holden Holden Karau
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: